| Home | Libraries | People | FAQ | More

## Class template make_recursive_variant_over

boost::make_recursive_variant_over —

Exposes a recursive `variant` whose bounded types are the elements of the given type sequence.

## Synopsis

    template<typename Sequence>
    class make_recursive_variant_over {
    public:
      // types
      typedef variant< unspecified > type;
    };

## Description

`type` has behavior equivalent in every respect to `make_recursive_variant< Sequence[0], Sequence[1], ... >::type` (where `Sequence[i]` denotes the i-th element of `Sequence`), except that no upper limit is imposed on the number of types.

Notes:

- `Sequence` must meet the requirements of MPL's Sequence concept.
- Due to standard conformance problems in several compilers, `make_recursive_variant_over` may not be supported on your compiler. See `BOOST_VARIANT_NO_TYPE_SEQUENCE_SUPPORT` for more information.

| Copyright © 2002, 2003 Eric Friedman, Itay Maman